Compiling for Raspberry Pi 2

Whilst still unable to fix the compile problems I was having in this post (http://forum.openframeworks.cc/t/videoplayerexample-on-raspberrypi/18525/8), I got a Raspberry Pi 2 and tried to compile using these instructions (which work perfectly on the RPi 1):
http://openframeworks.cc/setup/raspberrypi/

The result was the error in make:
“This package doesn’t support your platform, probably you downloaded the wrong package? Stop.”

That figures, since the RPi 2 is armv7.

Is it easy to modify things – makefiles etc. – to make the compile work on the new Pi?

1 Like

People are compiling successfully following the instructions in this thread Raspberry Pi 2 install failing

1 Like

See this installation guide: